package cn.superdesk.canal.client.handler;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * @author xc
 * @since 2023/12/21 15:40
 */

public class CanalThreadUncaughtExceptionHandler implements Thread.UncaughtExceptionHandler{
    private final Logger log = LoggerFactory.getLogger(CanalThreadUncaughtExceptionHandler.class);
    @Override
    public void uncaughtException(Thread t, Throwable e) {
        log.error("thread " + t.getName() + " throws exception", e);
    }
}
