package cn.superdesk.canal.client.factory;

import cn.superdesk.canal.client.handler.EntryHandler;

import java.util.Set;

/**
 * @author xc
 * @since 2023/12/21 16:51
 */
public interface IModelFactory<T> {
    <R> R newInstance(EntryHandler entryHandler, T t) throws Exception;

    default <R> R newInstance(EntryHandler entryHandler, T t, Set<String> updateColumn) throws Exception {
        return null;
    }
}
